List endpoints
GET
/webhooks/endpoints
const url = 'https://api.clearance.rest/webhooks/endpoints';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.clearance.rest/webhooks/endpoints \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
success
required
boolean
endpoints
required
Array<object>
A webhook subscription of the project.
object
id
required
string
url
required
string
description
required
string | null
event_types
required
Subscribed event types and patterns.
Array<string>
enabled
required
boolean
disabled_reason
required
Why the endpoint is disabled: manual (disabled through the API) or failing (disabled automatically after repeated failed deliveries); null while enabled.
string | null
consecutive_failures
required
integer
created_at
required
UTC timestamp (ISO 8601).
string
updated_at
required
UTC timestamp (ISO 8601).
string
Example
{ "success": true}Default Response
Media typeapplication/json
Error envelope returned by every JSON endpoint.
object
success
required
boolean
error
required
object
code
required
Machine-readable error code (snake_case).
string
message
required
Human-readable message.
string
details
Extra context for the error.
object
key
additional properties
Example
{ "success": false}Default Response
Media typeapplication/json
Error envelope returned by every JSON endpoint.
object
success
required
boolean
error
required
object
code
required
Machine-readable error code (snake_case).
string
message
required
Human-readable message.
string
details
Extra context for the error.
object
key
additional properties
Example
{ "success": false}